Global.string_id_save = not Global.string_id_save

if Global.string_id_save then
	if managers.mission and managers.mission._fading_debug_output then
		managers.mission._fading_debug_output:script().log("String ID saving enabled!", Color.white)
	end
else
	if managers.mission and managers.mission._fading_debug_output then
		managers.mission._fading_debug_output:script().log("String ID saving disabled, saving to file...", Color.white)
	end
	file = io.open(Global.string_id_file, "w+")
	io.output(file)
	io.write(json.encode(Global.string_id_strings))
	io.close(file)
	if managers.mission and managers.mission._fading_debug_output then
		managers.mission._fading_debug_output:script().log("String ID file saved!", Color.yellow)
	end
end